
Figure - Bug #114646
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开应用小窗，关闭小窗，进recent，通过进程卡片右上角的按钮打开小窗，再
次进recent，同时出现应用的小窗卡片和进程卡片
2022-12-16 15:46 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: getmIsVisibleFreeFormTask判断有误,在某种情况下,进入recent的时候removeRootTaskReferenceIfNeeded会被触发,导致mIsVisibleFreeFormTask被设置成false,从而导致��task被加入到recent task中.

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一应用小窗（以音乐为例）

2、关闭小窗

3、进recent，通过进程卡片右上角的按钮打开小窗

4、再次进recent

【预期结果】

4、只有音乐的小窗卡片

【实际结果】

4、同时出现应用的小窗卡片和进程卡片

History

#1 - 2022-12-27 11:06 - DL FW-张挽强

- Status changed from New to ASSIGNED

■ Current conclusion

复现成功

■ My analysis

初步分析，出现的小窗卡片和正常应用卡片是两个task，导致原有的通过recentTask中的逻辑处理出现问题

■ Next action

这个需要在activitystater中的startactivitfromrecent中去做关于task启动的修改

#2 - 2022-12-29 19:37 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#3 - 2023-01-06 16:29 - IoT scm
ID Project Branch Uploader

174415 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix mutil tasks in recentsdon't add task to recent task when has freeform taskTC-RID: 1201-0204601IssueID: TS-R-BUG-114646Change-Id:

Ieecdc6a628d12e6ba8e15cd96d40a9f2676b9c6f

#4 - 2023-01-06 16:43 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to getmIsVisibleFreeFormTask判断有误,在某种情况下,进入recent的时候removeRootTaskReferenceIfNeeded会被触发,导致mIsVisibleFreeFormTask

被设置成false,从而导致

task被加入到recent task中.

■ Current conclusion

问题已经解决

■ My analysis

getmIsVisibleFreeFormTask判断有误,在某种情况下,进入recent的时候removeRootTaskReferenceIfNeeded会被触发,导致mIsVisibleFreeFormTask被设置成false,从

而导致

task被加入到recent task中.

目前的方案是判断是否存在小窗的task,如果存在并且id一样,就不重新添加task到recent task里面去了

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/174415

#5 - 2023-01-09 11:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

1.9 验证结果

步骤4进recent音乐的进程卡片消失动画明显

与研发同事沟通后决定另起票跟踪消失动画的问题

#6 - 2023-01-09 11:35 - CD TEST-方永红

- File Phone-STS40X190122 2023-01-09 11-29-22.mp4 added

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-16 15-46-25.mp4 15.1 MB 2022-12-16 CD TEST-方永红

Phone-STS40X190122 2023-01-09 11-29-22.mp4 7.1 MB 2023-01-09 CD TEST-方永红
